package com.rv.home.rv.module.ui.main.home.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

/**
 * 会员信息
 */

public class OrderMemberBean extends BaseBean {


    private DataBean data;
    private boolean rel;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBean {
        private String id;//": 97,
        private String userId;//": 284,
        private int memberLevel;//": 3 ,  会员等级
        private int totalNumber;//": 40, 总天数
        private int rentFreeDays;//": 35, 剩余天数
        private int buyCount;//": 4, 购买次数
        private String validTime;//": 0,
        private String name;//": "钻石会员",
        private int discount;//":"8"  折扣

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public int getMemberLevel() {
            return memberLevel;
        }

        public void setMemberLevel(int memberLevel) {
            this.memberLevel = memberLevel;
        }

        public int getTotalNumber() {
            return totalNumber;
        }

        public void setTotalNumber(int totalNumber) {
            this.totalNumber = totalNumber;
        }

        public int getRentFreeDays() {
            return rentFreeDays;
        }

        public void setRentFreeDays(int rentFreeDays) {
            this.rentFreeDays = rentFreeDays;
        }

        public int getBuyCount() {
            return buyCount;
        }

        public void setBuyCount(int buyCount) {
            this.buyCount = buyCount;
        }

        public String getValidTime() {
            return validTime;
        }

        public void setValidTime(String validTime) {
            this.validTime = validTime;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getDiscount() {
            return discount;
        }

        public void setDiscount(int discount) {
            this.discount = discount;
        }
    }
}
